Skip to Content
Futures Data

Get candles

Deprecated

GET/futures/candlesPublic

Deprecated: use GET /perp/candles instead. Get the BTC/USD candles (OHLC) at the range resolution, 1 minute by default. Paginated, newest first.

Query Parameters

from?string

Start date, unix epoch 0 by default

Formatdate-time
Default"1970-01-01T00:00:00.000Z"
to?string

End date, default to current time

Formatdate-time
Default"2026-11-09T17:08:56.642Z"
limit?integer

Number of entries to return, default to 1000

Range1 <= value <= 1000
Default1000
cursor?string

Cursor for pagination

Formatdate-time
range?string

Resolution of the OHLCs

Default"1m"
Value in"1m""3m""5m""10m""15m""30m""45m""1h""2h""3h""4h""1d""1w""1month""3months"

Response Body

OK

application/json
  1. response
data*array<>
nextCursor*|

Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.

import { createHttpClient } from '@ln-markets/sdk/rest/v3'

const client = createHttpClient()

const result = await client.futures.getCandles({
  from: '1970-01-01T00:00:00.000Z',
  to: '2026-11-09T17:08:56.136Z',
  limit: 500,
  range: '1m'
})
{
  "data": [
    {
      "time": "2023-05-23T09:52:57.863Z",
      "open": 43250.5,
      "high": 43500,
      "low": 43100,
      "close": 43400,
      "volume": 1250000
    }
  ],
  "nextCursor": "2024-01-15T10:30:00.000Z"
}